Skip to end of metadata
Go to start of metadata

Contents

automaIT server

Operating system

automaIT server should run on every Unix and Windows 64-bit server operating system fulfilling the software prerequisites.

Recommended operating systems are:

  • SuSE Linux Enterprise Server (Version 11 SP2)
  • Windows Server 2008 R2

Java

Supported are all Oracle compatible Java Runtime Environment (JRE) implementations in 64-bit starting at version 7.

Version

Status

Oracle Java 64-bit, Version 7.x or 8.x

(tick) supported (recommended)

OpenJDK Java 64-bit, Version 7.x or 8.x

(tick) supported (may lead to SSL handshake errors using the CLI)

IBM Java 64-bit, Version 7.x or 8.x

(error) not supported

Apache Tomcat

Apache Tomcat is used as application server providing the user interface. Binary distributions for Apache Tomcat Core can be obtained from tomcat.apache.org.

Version

Status

Apache Tomcat 6

(tick) supported (≥ 6.0.18)

Apache Tomcat 7

(tick) supported (recommended)

PostgreSQL

The underlying database for automaIT is PostgreSQL. It can be downloaded from www.postgresql.org and is also available in most Linux distributions through the packet management.

Version

Status
PostgreSQL 8(tick) supported (≥ 8.3)
PostgreSQL 9(tick) supported (recommended)

Web Browser

All major browsers are supported.

Version

Status
Firefox 19+(tick) supported & recommended
Chrome 26+(tick) supported
Internet Explorer 9, 10, 11(tick) supported (versions 9 and 10 are not recommended)

automaIT agent

Operating System

Unix-like Systems

The agent should run on every Unix operating system fulfilling the software prerequisites.

For example:

  • Linux
  • Solaris
  • CentOS

Apart from a few exceptions the agent must be started as superuser (root).

The agent will switch the user with su if the server requests a command to be executed under a different user. When using sudo please keep in mind that /etc/sudoers may override environment variables or set a specific PATH.

 Windows

The agent should run on every Windows Server environment.

The agent must be started with administration rights if the agent should perform privileged actions (e.g. program installations or access restricted directories in Windows).
This can either be achieved by configuring the agent as a Windows service or by adding it as a new task to the Windows task scheduler (with activating the flag for running with highest privileges).

Java

The following Java Runtime Environment (JRE) implementations (64bit or 32bit) starting at version 7 are supported.

Version

Status

Oracle Java 64-bit, Version 7.x or 8.x

(tick) supported (recommended)

OpenJDK Java 64-bit, Version 7.x or 8.x

(tick) supported

IBM Java 64-bit, Version 7.x or 8.x

(tick) supported
Icon

If the agent start aborts with "Unsupported major.minor version 51.0" then a Java 6 is mistakenly found in PATH. Please check your PATH variable so that the bin directory of Java 7 resp. Java 8 is found first.

Command line interface (CLI)

Operating System

The automaIT CLI is basically a Python script. It should run on every operating system fulfilling the requirements for Python core and the needed Python modules.

Unix-like Systems

The CLI should run on every unix-like operating system on which Python is installed.

Windows

The CLI should run on Windows XP and later versions if Python is installed.

Python

The automaIT CLI requires Python 2.7.

Icon

Python 3.x is a new version of the language that is incompatible with the 2.x line of releases. automaIT does not yet support Python 3.x.

 

  • No labels